aboutsummaryrefslogtreecommitdiff
path: root/git-pull.sh
diff options
context:
space:
mode:
authorJon Loeliger <jdl@freescale.com>2005-11-06 23:30:56 -0600
committerJunio C Hamano <junkio@cox.net>2005-11-06 23:32:04 -0800
commit93d69d86912c44206543f6670e93f9fc6f2f859f (patch)
tree0ad7728ed8054bfbcaa42960a7e9a90532d89f18 /git-pull.sh
parent90279074ca5cc336a8bfffd47d19d089b291b432 (diff)
downloadgit-93d69d86912c44206543f6670e93f9fc6f2f859f.tar.gz
git-93d69d86912c44206543f6670e93f9fc6f2f859f.tar.xz
Refactored merge options into separate merge-options.txt.
Refactored fetch options into separate fetch-options.txt. Made git-merge use merge-options. Made git-fetch use fetch-options. Made git-pull use merge-options and fetch-options. Added --help option to git-pull and git-format-patch scripts. Rewrote Documentation/Makefile to dynamically determine include dependencies. Signed-off-by: Jon Loeliger <jdl@freescale.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-pull.sh')
-rw-r--r--[-rwxr-xr-x]git-pull.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/git-pull.sh b/git-pull.sh
index e23d4f559..2358af62d 100755..100644
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -7,7 +7,14 @@
. git-sh-setup || die "Not a git archive"
usage () {
- die "git pull [-n] [--no-commit] [-s strategy]... <repo> <head>..."
+ echo >&2 "usage: $0"' [-n] [--no-commit] [--no-summary] [--help]
+ [-s strategy]...
+ [<fetch-options>]
+ <repo> <head>...
+
+Fetch one or more remote refs and merge it/them into the current HEAD.
+'
+ exit 1
}
strategy_args= no_summary= no_commit=
@@ -33,6 +40,9 @@ do
esac
strategy_args="${strategy_args}-s $strategy "
;;
+ -h|--h|--he|--hel|--help)
+ usage
+ ;;
-*)
# Pass thru anything that is meant for fetch.
break